%Funktion zur Berechnung von Verunreinigungen in NMRs
function[] = NMRpurity(M_Prod)

%Aceton
acetone = input('Integration Aceton: ');
impurities(1) = 58.08 * acetone / 6;

%Et2O
ether = input('Integration Et_2O: ');
impurities(2) = 74.12 * ether / 10;

%EtOAc
etoac = input('Integration EtOAc: ');
impurities(3) = 88.11 * etoac / 8;

%H2O
water = input('Integration Wasser: ');
impurities(4) = 18.01 * water / 2;

n = input('Anzahl weiterer Verunreinigungen: ');
if n == 0
else
    for i=1:n
        M = input('Molare Masse: ');
        H = input('Anzahl H-Atome: ');
        I = input('Integration: ');
        impurities(4+i) = M * I / H;
    end
end
purity = (M_Prod / (M_Prod + sum(impurities)))*100;
output = ['Reinheit = ',num2str(purity),' %'];
disp(output);
end